# List Mailgun SMTP credential metadata for a given domain

List Mailgun SMTP credential metadata for a given domain

Endpoint: GET /v3/domains/{domain_name}/credentials
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `domain_name` (string, required)
    Hostname filter for credential results

## Query parameters:

  - `skip` (integer)
    Number of results to skip, to help with pagination

  - `limit` (integer)
    Limit results to this many

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.mailbox` (string, required)
    The email address-style username associated with this credential

  - `items.login` (string, required)
    The email address-style username associated with this credential

  - `items.created_at` (string, required)
    When the credential was created in RFC 2822 format with numeric timezone offset (UTC time)
    Example: Fri, 23 Jan 2026 10:16:00 +0000

  - `items.size_bytes` (any, required)

  - `total_count` (integer, required)
    The number of credentials described in 'items'

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

